## openmodelica 1.5.0.svn.r5375

=== debian/changelog ===
openmodelica (1.5.0.svn.r5375-3) unstable; urgency=low

  * Don't require autoconf to build.
 -- Martin Sjölund <martin.sjolund@liu.se>  Sat, 24 Apr 2010 17:57:00 +0200

openmodelica (1.5.0.svn.r5375-2) unstable; urgency=low

  * Fix build dependencies.
 -- Martin Sjölund <martin.sjolund@liu.se>  Sat, 24 Apr 2010 17:44:00 +0200

openmodelica (1.5.0.svn.r5375-1) unstable; urgency=low

  * Script-files moved from bin to share/omc/scripts
 -- Martin Sjölund <martin.sjolund@liu.se>  Sat, 24 Apr 2010 12:15:00 +0200
