=== debian/control ===
Source: openmodelica
Section: math
Priority: optional
Maintainer: Martin Sjölund <martin.sjolund@liu.se>
Build-Depends: debhelper (>= 7.0.0),
 antlr (>= 2.7.7-11),
 libantlr-dev (>= 2.7.7-11),
 libssl-dev (>= 0.9.8g-16),
 libreadline5-dev (>= 5.2-4),
 libsoqt4-dev (>= 1.4.2~20090224-2),
 liblpsolve55-dev (>= 5.5.0.13-4),
 libsuitesparse-dev (>= 1:3.2.0-4),
 rml-mmc,
 default-jdk | java6-sdk,
 libomniorb4-dev,
 omniidl4,
 flex,
 bison
Standards-Version: 3.8.4

Package: openmodelica
Section: math
Architecture: any
Depends: omlibrary,
 omshell,
 omshell-terminal,
 omnotebook,
 ${misc:Depends}
Description: The OpenModelica Project a complete Modelica environment
 The goal of the project is to create a complete Modelica modeling, compilation
 and simulation environment based on free software distributed in binary and
 source code form.
 .
 ! THIS IS NOT A OFFICIAL DEBIAN PACKAGE, USE IT WITH CARE !
 .
 This package is a Debian meta package. After installation this package can be
 removed. This meta package pulls in the following OpenModelica packages:
 .
 1. Package omc the OpenModelica Compiler/Interpreter (omc)
 2. Package omshell the OpenModelica Shell (OMShell)
 3. Package omshell-terminal the OpenModelica Shell-terminal (OMShell-terminal)
 4. Package omnotebook the OpenModelica Notebook (OMNotebook) with DrModelica
 5. Package omlibrary the Modelica Library version 2.2

Package: omc
Section: math
Architecture: any
Depends: default-jre | java6-runtime,
 ${shlibs:Depends},
 ${misc:Depends}
Description: The OpenModelica Project a complete Modelica environment
 The goal of the project is to create a complete Modelica modeling, compilation
 and simulation environment based on free software distributed in binary and
 source code form.
 .
 ! THIS IS NOT A OFFICIAL DEBIAN PACKAGE, USE IT WITH CARE !
 .
 This package provides the OpenModelica Compiler/Interpreter (omc).

Package: omnotebook
Section: math
Architecture: any
Depends: omc,
 ${shlibs:Depends},
 ${misc:Depends}
Description: The OpenModelica Project a complete Modelica environment
 The goal of the project is to create a complete Modelica modeling, compilation
 and simulation environment based on free software distributed in binary and
 source code form.
 .
 ! THIS IS NOT A OFFICIAL DEBIAN PACKAGE, USE IT WITH CARE !
 .
 This package provides the OpenModelica Notebook (OMNotebook).

Package: omshell-terminal
Section: math
Architecture: any
Depends: omc,
 ${shlibs:Depends},
 ${misc:Depends}
Description: The OpenModelica Project a complete Modelica environment
 The goal of the project is to create a complete Modelica modeling, compilation
 and simulation environment based on free software distributed in binary and
 source code form.
 .
 ! THIS IS NOT A OFFICIAL DEBIAN PACKAGE, USE IT WITH CARE !
 .
 This package provides the OpenModelica Shell-terminal (OMShell-terminal).

Package: omshell
Section: math
Architecture: any
Depends: omc,
 ${shlibs:Depends},
 ${misc:Depends}
Description: The OpenModelica Project a complete Modelica environment
 The goal of the project is to create a complete Modelica modeling, compilation
 and simulation environment based on free software distributed in binary and
 source code form.
 .
 ! THIS IS NOT A OFFICIAL DEBIAN PACKAGE, USE IT WITH CARE !
 .
 This package provides the OpenModelica Shell (OMShell).
