## openmodelica 1.5.0.svn.r5380

=== debian/changelog ===
openmodelica (1.5.0.svn.r5380-1) unstable; urgency=low

  * Renamed ext OMPlotWindow
 -- Martin Sjölund <martin.sjolund@liu.se>  Sat, 24 Apr 2010 17:57:00 +0200

openmodelica (1.5.0.svn.r5375-4) unstable; urgency=low

  * Fix depends versions.
 -- Martin Sjölund <martin.sjolund@liu.se>  Sat, 24 Apr 2010 17:57:00 +0200
