## openmodelica 1.5.0.svn.r5382

=== debian/changelog ===
openmodelica (1.5.0.svn.r5382-5) unstable; urgency=low

  * Adding build-essential as a runtime dependency.
  * Adding libqt4-dev as a runtime dependency; it adds the required symlink.
 -- Martin Sjölund <martin.sjolund@liu.se>  Sun, 25 Apr 2010 16:11:00 +0200

openmodelica (1.5.0.svn.r5382-4) unstable; urgency=low

  * Changing JDK/JRE depends to only include OpenJDK or Sun Java, since we use javax.tools packages, etc.
 -- Martin Sjölund <martin.sjolund@liu.se>  Sun, 25 Apr 2010 13:42:00 +0200

openmodelica (1.5.0.svn.r5382-3) unstable; urgency=low

  * Adding -source and -target to java_interface makefile.
 -- Martin Sjölund <martin.sjolund@liu.se>  Sun, 25 Apr 2010 13:15:00 +0200

openmodelica (1.5.0.svn.r5382-2) unstable; urgency=low

  * Added static linking for lpsolve55.
 -- Martin Sjölund <martin.sjolund@liu.se>  Sun, 25 Apr 2010 13:03:00 +0200

openmodelica (1.5.0.svn.r5382-1) unstable; urgency=low

  * Relaxed build dependencies for Lenny.
 -- Martin Sjölund <martin.sjolund@liu.se>  Sun, 25 Apr 2010 10:52:00 +0200
