=== debian/control ===
--- 
+++ 
@@ -3,15 +3,14 @@
 Priority: optional
 Maintainer: Martin Sjölund <martin.sjolund@liu.se>
 Build-Depends: debhelper (>= 7.0.0),
- antlr (>= 2.7.7-11),
- libantlr-dev (>= 2.7.7-11),
- libssl-dev (>= 0.9.8g-16),
- libreadline5-dev (>= 5.2-4),
- libsoqt4-dev (>= 1.4.2~20090224-2),
- liblpsolve55-dev (>= 5.5.0.13-4),
- libsuitesparse-dev (>= 1:3.2.0-4),
+ antlr (>= 2.7.7),
+ libantlr-dev (>= 2.7.7),
+ libssl-dev (>= 0.9.8g),
+ libreadline5-dev (>= 5.2),
+ libsoqt4-dev (>= 1.4.1),
+ liblpsolve55-dev (>= 5.5.0.10),
  rml-mmc,
- default-jdk | java6-sdk,
+ openjdk-6-jdk | sun-java6-jdk,
  libomniorb4-dev,
  omniidl4,
  flex,
@@ -33,8 +32,8 @@
  .
  ! THIS IS NOT A OFFICIAL DEBIAN PACKAGE, USE IT WITH CARE !
  .
- This package is a Debian meta package. After installation this package can be
- removed. This meta package pulls in the following OpenModelica packages:
+ This package is a Debian metapackage. After installation this package can be
+ removed. This metapackage pulls in the following OpenModelica packages:
  .
  1. Package omc the OpenModelica Compiler/Interpreter (omc)
  2. Package omshell the OpenModelica Shell (OMShell)
@@ -45,7 +44,9 @@
 Package: omc
 Section: math
 Architecture: any
-Depends: default-jre | java6-runtime,
+Depends: sun-java6-jre | openjdk-6-jre,
+ build-essential,
+ libqt4-dev,
  ${shlibs:Depends},
  ${misc:Depends}
 Description: The OpenModelica Project a complete Modelica environment
