## openmodelica 1.5.0.svn.r5385

=== debian/changelog ===
openmodelica (1.5.0.svn.r5385-2) unstable; urgency=low

  * Updated the copyright file to include OSMC 1.1 license.
 -- Martin Sjölund <martin.sjolund@liu.se>  Mon, 26 Apr 2010 12:27:00 +0200

openmodelica (1.5.0.svn.r5385-1) unstable; urgency=low

  * Configure OpenModelica without Coin.
 -- Martin Sjölund <martin.sjolund@liu.se>  Sun, 25 Apr 2010 22:11:00 +0200
