=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
  libantlr-dev (>= 2.7.7),
  libssl-dev (>= 0.9.8g),
  libreadline5-dev (>= 5.2),
- libsoqt4-dev (>= 1.4.1),
+ libqt4-dev,
  liblpsolve55-dev (>= 5.5.0.10),
  rml-mmc,
  openjdk-6-jdk | sun-java6-jdk,
