=== debian/rules ===
--- 
+++ 
@@ -38,7 +38,8 @@
 	--host=$(DEB_HOST_GNU_TYPE) \
 	--build=$(DEB_BUILD_GNU_TYPE) \
 	--prefix=/usr \
-	--with-omniORB=/usr
+	--with-omniORB=/usr \
+	--with-static-lpsolve=/usr
 
 
 build: build-stamp
