## openmodelica 1.5.0.svn.r5527

=== debian/changelog ===
openmodelica (1.5.0.svn.r5527-1) unstable; urgency=low

  * Fixed LAPACK code generation, dependencies.
 -- Martin Sjölund <martin.sjolund@liu.se>  Fri, 14 May 2010 14:08:00 +0200
