=== debian/changelog ===
openmodelica (1.5.0.svn.r5700-1) unstable; urgency=low

  * OMShell-terminal now globs ~/.mosh_history.
 -- Martin Sjölund <martin.sjolund@liu.se>  Mon, 21 May 2010 12:36:00 +0200
