=== debian/rules ===
--- 
+++ 
@@ -39,8 +39,8 @@
 	--build=$(DEB_BUILD_GNU_TYPE) \
 	--prefix=/usr \
 	--with-omniORB=/usr \
-	--with-static-lpsolve=/usr
-
+	--with-static-lpsolve=/usr \
+        --with-sendData-Qt
 
 build: build-stamp
